#
# spec file for package tree-sitter-lua
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         _name lua
Name:           tree-sitter-lua
Version:        0.3.0
Release:        1.1
Summary:        Lua grammar for tree-sitter
License:        MIT
URL:            https://github.com/tree-sitter-grammars/tree-sitter-lua
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  tree-sitter >= 0.24.0
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install
%treesitter_devel_install

#neovim stuff
install -d %{buildroot}%{_libdir}/tree_sitter
ln -s %{_libdir}/lib%{name}.so %{buildroot}%{_libdir}/tree_sitter/%{_name}.so

%files
%license LICENSE.md
%doc README.md
%treesitter_files
%{_libdir}/tree_sitter/%{_name}.so
%if 0%{?suse_version} < 1600
%dir %{_libdir}/tree_sitter
%endif

%treesitter_devel_package

%changelog
* Mon Mar 31 2025 Richard Rahl <rrahl0@opensuse.org>
- update to 0.3.0:
  * refactor: use Tree-sitter prefixed calloc/free functions
* Wed Dec  4 2024 Richard Rahl <rrahl0@opensuse.org>
- switch to download_files service
- add devel package
* Sun Sep 15 2024 Richard Rahl <rrahl0@opensuse.org>
- change spec file so that neovim automatically detects the grammar
* Tue Sep 10 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.2.0:
  * adapt to tree-sitter >= 0.23.0
* Fri Jun 21 2024 Richard Rahl <rrahl0@disroot.org>
- switch to the correct upstream (which works with neovim)
* Fri Jun 21 2024 Richard Rahl <rrahl0@disroot.org>
- initial packaging
